from zope.interface import Interface


class IKorpusBase(Interface):
    """ Korpus base interface """

class IKorpus(IKorpusBase):
    """ Korpus """

class IDocuments(IKorpusBase):
    """ documents container """

class IDocument(IKorpusBase):
    """ documents container """

class IErrors(IKorpusBase):
    """ errors """

class ISearch(IKorpusBase):
    """ search """

class IWWW(IKorpusBase):
    """ WWW Pages """

class IAPI(IKorpusBase):
    """ Web API for Korpus """

class IMarksContainer(IKorpusBase):
    """ marks container """

class ICorpusGroup(IKorpusBase):
    """ groups together ICorpus and ICorpusManager """

class ICorpusManager(ICorpusGroup):
    """ corpus manager """

class ICorpus(ICorpusGroup):
    """ corpus object """

class IMarks(IKorpusBase):
    """ marks container """

class Imark(IKorpusBase):
    """ marks container """

class IWordTree(IKorpusBase):
    """ wordtree """

class IMorfo(IKorpusBase):
    """ morfo utility """

from zope.publisher.interfaces.browser import ILayer
from zope.publisher.interfaces.browser import IDefaultBrowserLayer, IBrowserRequest
class IBaseLayer(ILayer, IBrowserRequest):
    """ layer """

#class IBaseSkin(IBrowserRequest, IDefaultBrowserLayer):
class IBaseSkin(IBaseLayer, IDefaultBrowserLayer):
    """ skin """
