

def step00(obj):
    m = obj.Marks
    m.manage_afterAdd(m, obj)
    return True

def step01(obj):
    obj.setupDB()
    return True

def _step02(obj):
    from psycopg2 import DataError, ProgrammingError
    print len(obj.Errors.objectValues('Error'))
    for e in obj.Errors.objectValues('Error'):
        # if hasattr(e, '_db_id'):
        #     print "skipping", e.id
        #     continue
        if hasattr(e, '_skip_db'):
            del e._skip_db
        try:
            e.saveToDB()
        except DataError:
            print "DataError", e
            break
        except ProgrammingError:
            print "ProgrammingError", e
            break
        if e.isDeleted():
            obj.sqls.errDelete(errid=e._db_id)
    return True

def _step03(obj):
    """ convert html -> text """
    for d in obj.Documents.objectValues('Document'):
        d.textcontent = d.toText(d.getBody())
    return True

def _step04(obj):
    for d in obj.Documents.objectValues('Document'):
        d._storeDocInfos()
    return True

def _step05(obj):
    for d in obj.Documents.objectValues('Document'):
        obj.sqls.docStatus(docid=d.getId(), status=d.getStatus())
        if d.isDeleted(): d.deleteMe()
    return True

def _step06(obj):
    for e in obj.Errors.objectValues('Error'):
        try:
            del e._db_id
        except AttributeError:
            pass
    return True
