import objects
dyn_rules = objects.RulesList([
	{0: ['@FMV', 'Z Com']} ,
	{1: ['@SUBJ', 'Z Com']} ,
	{2: ['@ADVL', 'Z Com']} ,
	{3: ['@FMV', '@ADVL', 'Z Com']} ,
	{4: ['@ADVL', '@SUBJ', '@ADVL', '@FMV', 'Z Com']} ,
	{5: ['@FMV', '@SUBJ', 'Z Com']} ,
	{6: ['@SUBJ', '@FMV', 'Z Com']} ,
	{7: ['@FMV', '@ADVL']} ,
	{8: ['@ADVL', '@SUBJ', '@FMV', 'Z Com']} ,
	{9: ['@ADVL', '@FMV', '@SUBJ', 'Z Com']} ,
	{10: ['@NEG', '@FMV', '@SUBJ', 'Z Com']} ,
	{11: ['@FMV', '@ADVL', '@SUBJ', 'Z Com']} ,
	{12: ['@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{13: ['@FMV', '@SUBJ', '@OBJ', '@ADVL']} ,
	{14: ['@ADVL', '@ADVL', 'Z Com']} ,
	{15: ['@SUBJ', '@ADVL', '@FMV', 'Z Com']} ,
	{16: ['@FMV', '@ADVL', '@ADVL', '@ADVL', 'Z Com']} ,
	{17: ['@SUBJ', '@FMV', '@ADVL', 'Z Com']} ,
	{18: ['@FMV', '@SUBJ', '@ADVL', 'Z Com']} ,
	{19: ['@FMV', '@SUBJ']} ,
	{20: ['@FMV', '@ADVL', '@ADVL', 'Z Com']} ,
	{21: ['@FMV', '@ADVL', '@ADVL']} ,
	{22: ['@FMV', '@OBJ']} ,
	{23: ['@OBJ', '@SUBJ', 'Z Com']} ,
	{24: ['@ADVL', '@SUBJ', 'Z Com']} ,
	{25: ['@ADVL', '@SUBJ', '@FMV', '@PRD']} ,
	{26: ['@ADVL', '@SUBJ', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{27: ['@NEG', '@FMV', 'Z Com']} ,
	{28: ['@SUBJ', '@FMV']} ,
	{29: ['@OBJ', '@SUBJ', '@NEG', '@FMV']} ,
	{30: ['@OBJ', '@ADVL', '@SUBJ', '@FMV', 'Z Com']} ,
	{31: ['@ADVL', '@OBJ', '@FMV', 'Z Com']} ,
	{32: ['@SUBJ', '@NEG', '@FMV', 'Z Com']} ,
	{33: ['@SUBJ', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{34: ['ad', '@ADVL', '@FMV', '@ADVL', 'Z Com']} ,
	{35: ['@OBJ', 'ad', '@ADVL', '@FMV', '@SUBJ', '@ADVL']} ,
	{36: ['@FMV', '@OBJ', '@ADVL', '@IMV', 'Z Com']} ,
	{37: ['@FCV', '@ADVL', '@ADVL', '@IMV', 'Z Com']} ,
	{38: ['@OBJ', 'Z Com']} ,
	{39: ['@ADVL', '@ADVL', '@FMV', '@SUBJ', 'Z Com']} ,
	{40: ['@OBJ', '@SUBJ', 'Z Com', '@NEG', '@FMV', '@ADVL', '@SUBJ', 'Z Com']} ,
	{41: ['@FMV', '@SUBJ', '@ADVL', '@SUBJ', '@ADVL', '@OBJ', '@ADVL', '@OBJ', 'Z Com']} ,
	{42: ['@FMV', '@PRD', 'Z Com']} ,
	{43: ['@ADVL', '@OBJ', '@FMV', '@ADVL', '@OBJ', '@ADVL', '@OBJ', 'Z Com']} ,
	{44: ['@FMV', '@ADVL', '@OBJ', '@ADVL', '@ADVL', 'Z Com']} ,
	{45: ['@ADVL', '@ADVL', '@FMV', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@SUBJ', '@ADVL', '@ADVL', '@OBJ', '@IMV', 'Z Com']} ,
	{46: ['@ADVL', '@SUBJ', '@NEG', '@FMV', 'Z Com']} ,
	{47: ['@ADVL', '@FMV', '@ADVL', '@SUBJ', 'Z Com']} ,
	{48: ['@OBJ', '@ADVL', '@OBJ', '@FMV', 'Z Com']} ,
	{49: ['@ADVL', '@SUBJ', '@ADVL', '@FMV']} ,
	{50: ['@FMV', '@SUBJ', '@ADVL', '@ADVL']} ,
	{51: ['@ADVL', '@ADVL', '@ADVL', '@SUBJ', '@ADVL', '@FMV', 'Z Com']} ,
	{52: ['@ADVL', '@FMV', '@SUBJ', '@ADVL', '@ADVL', '@ADVL', 'Z Com']} ,
	{53: ['@ADVL', '@ADVL', '@FCV', '@ADVL', '@ADVL', '@IMV', '@ADVL', '@SUBJ', '@ADVL', '@ADVL', 'Z Com']} ,
	{54: ['@ADVL', '@SUBJ', '@OBJ', '@FMV', 'Z Com']} ,
	{55: ['@ADVL', '@FMV']} ,
	{56: ['@OBJ', '@FCV', '@ADVL', '@SUBJ', '@ADVL', '@IMV', '@OBJ', 'Z Com']} ,
	{57: ['@SUBJ', '@IMV', '@ADVL', 'Z Com']} ,
	{58: ['@SUBJ', 'ad', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@FMV']} ,
	{59: ['@FMV', '@ADVL', '@OBJ', '@IMV', 'Z Com']} ,
	{60: ['@OBJ', '@ADVL', '@NEG', '@FMV', '@OBJ', '@SUBJ', '@OBJ', 'Z Com']} ,
	{61: ['@FMV', '@OBJ', '@FMV', 'Z Com', '@OBJ']} ,
	{62: ['@SUBJ', '@FCV', '@OBJ', '@ADVL', '@IMV']} ,
	{63: ['@ADVL', '@SUBJ', '@OBJ', '@IMV', '@ADVL', '@ADVL', 'Z Com']} ,
	{64: ['@ADVL', '@ADVL', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{65: ['@SUBJ', '@ADVL', '@ADVL', '@ADVL', 'Z Com', '@ADVL', 'Z Com', '@ADVL', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{66: ['@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@IMV', '@FCV', 'Z Com']} ,
	{67: ['@SUBJ', '@ADVL', '@NEG', '@FMV', '@ADVL', '@ADVL', '@IMV']} ,
	{68: ['@ADVL', '@SUBJ', '@OBJ', '@IMV', '@FMV', 'Z Com', '@OBJ']} ,
	{69: ['@OBJ', '@SUBJ', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{70: ['ad', '@ADVL', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{71: ['@SUBJ', '@IMV', '@SUBJ', '@OBJ', '@ADVL', '@ADVL', '@IMV', '@ADVL', 'Z Com']} ,
	{72: ['ad', '@ADVL', '@FMV', '@ADVL']} ,
	{73: ['@SUBJ', '@OBJ', 'ad', '@ADVL', '@FMV', 'Z Com']} ,
	{74: ['@FMV', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@OBJ', 'Z Com']} ,
	{75: ['@IMV', '@ADVL', '@OBJ', '@ADVL', '@ADVL', 'Z Com']} ,
	{76: ['@ADVL', '@SUBJ', 'Z Com', '@SUBJ', '@ADVL', '@ADVL', '@FCV', '@IMV', 'Z Com']} ,
	{77: ['@ADVL', '@FMV', '@SUBJ', '@ADVL']} ,
	{78: ['@PRD', '@FMV', '@OBJ', '@IMV', 'Z Com']} ,
	{79: ['@ADVL', '@IMV', '@ADVL', 'Z Com']} ,
	{80: ['@ADVL', 'Z Com', '@ADVL', '@SUBJ', '@OBJ', '@ADVL', '@FMV']} ,
	{81: ['@SUBJ', '@FMV', '@IMV']} ,
	{82: ['@ADVL', '@OBJ', '@SUBJ', '@FMV', '@ADVL', 'Z Com']} ,
	{83: ['ad', '@ADVL', '@FMV', '@SUBJ', '@IMV', 'Z Com']} ,
	{84: ['@NEG', '@FMV', '@ADVL', '@OBJ', 'Z Com']} ,
	{85: ['@ADVL', '@ADVL', '@OBJ', '@ADVL', '@SUBJ', '@ADVL', 'Z Com']} ,
	{86: ['@PRD', '@FMV', '@SUBJ', 'Z Com']} ,
	{87: ['@FMV', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@IMV', 'Z Com']} ,
	{88: ['@SUBJ', 'Z Com', '@OBJ', '@IMV', '@OBJ', 'Z Com']} ,
	{89: ['@OBJ', '@FMV', '@FMV', 'Z Com']} ,
	{90: ['@OBJ', '@ADVL', 'Z Com']} ,
	{91: ['@OBJ', '@SUBJ', '@FMV', '@ADVL', 'Z Com']} ,
	{92: ['@SUBJ', 'Z Com', '@ADVL', '@FMV', 'Z Com']} ,
	{93: ['Z Fst', '@SUBJ', '@FMV', '@ADVL', '@IMV', 'Z Com', '@ADVL', 'Z Com']} ,
	{94: ['@SUBJ', '@OBJ', '@ADVL', '@FMV', 'Z Com']} ,
	{95: ['@FMV', '@ADVL', '@ADVL', '@OBJ']} ,
	{96: ['@SUBJ', '@FMV', 'ad', '@ADVL', '@PRD', 'Z Com']} ,
	{97: ['@SUBJ', '@FCV', '@ADVL', '@ADVL', '@IMV']} ,
	{98: ['ad', '@ADVL', '@FCV', '@SUBJ', '@IMV', '@ADVL']} ,
	{99: ['@FMV', '@OBJ', '@SUBJ', '@ADVL', '@ADVL', '@ADVL', 'Z Com']} ,
	{100: ['@SUBJ', 'Z Com', '@ADVL', '@FMV', 'Z Com', '@SUBJ', '@ADVL', 'Z Com']} ,
	{101: ['@SUBJ', '@IMV', '@FMV', '@ADVL', '@ADVL', '@OBJ', 'Z Com']} ,
	{102: ['@ADVL', '@NEG', '@FMV', '@SUBJ']} ,
	{103: ['@OBJ', '@NEG', '@FMV', 'Z Com']} ,
	{104: ['@SUBJ', 'Z Com', '@SUBJ', '@ADVL', 'Z Com']} ,
	{105: ['@ADVL', '@SUBJ', '@ADVL', 'Z Com']} ,
	{106: ['@SUBJ', '@FMV', '@OBJ', '@ADVL', 'Z Com']} ,
	{107: ['@OBJ', '@SUBJ', '@ADVL', '@FMV', 'Z Com']} ,
	{108: ['@ADVL', '@ADVL', '@SUBJ', '@ADVL', '@FMV', 'Z Com']} ,
	{109: ['@PRD', '@SUBJ', '@IMV', '@ADVL', '@OBJ', 'Z Com']} ,
	{110: ['@SUBJ', '@ADVL', '@NEG', '@FMV', 'Z Com']} ,
	{111: ['@ADVL', '@ADVL', '@FMV', '@OBJ', 'ad', 'ad', '@OBJ', '@ADVL']} ,
	{112: ['@SUBJ', '@ADVL', '@OBJ', '@ADVL', 'Z Com']} ,
	{113: ['@SUBJ', '@FCV', '@ADVL', '@ADVL', '@IMV', '@OBJ', 'Z Com']} ,
	{114: ['@ADVL', '@FMV', '@SUBJ', '@PRD', 'Z Com']} ,
	{115: ['@ADVL', '@FMV', '@FMV', '@SUBJ']} ,
	{116: ['@SUBJ', '@ADVL', '@OBJ', '@FMV']} ,
	{117: ['@ADVL', '@FMV', '@FMV', '@SUBJ', '@ADVL', 'Z Com']} ,
	{118: ['@ADVL', '@FMV', '@ADVL', '@ADVL', '@SUBJ']} ,
	{119: ['@FMV', '@SUBJ', '@PRD', 'Z Com']} ,
	{120: ['@ADVL', '@FMV', '@SUBJ', '@ADVL', 'Z Com']} ,
	{121: ['@ADVL', '@SUBJ', '@NEG', '@FMV', '@ADVL', '@OBJ', 'Z Com']} ,
	{122: ['@SUBJ', '@ADVL', '@FMV']} ,
	{123: ['@IMV', '@SUBJ', 'Z Com']} ,
	{124: ['@FMV', '@OBJ', 'Z Com']} ,
	{125: ['@OBJ', '@FMV', '@PRD', '@SUBJ', 'Z Com']} ,
	{126: ['@ADVL', '@FMV', '@IMV', '@ADVL', '@ADVL']} ,
	{127: ['@ADVL', '@SUBJ', '@FMV', '@OBJ', '@ADVL']} ,
	{128: ['@SUBJ', 'ad', '@ADVL', '@ADVL', '@OBJ', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{129: ['@FMV', 'ad', '@OBJ', '@ADVL']} ,
	{130: ['@FMV', '@SUBJ', '@ADVL', '@OBJ', 'Z Com']} ,
	{131: ['@OBJ', 'Z Fst', '@SUBJ']} ,
	{132: ['@ADVL', '@ADVL', '@FMV', '@ADVL', '@SUBJ', 'Z Com']} ,
	{133: ['@ADVL', '@ADVL', '@SUBJ', '@OBJ', '@FMV', 'Z Com']} ,
	{134: ['@ADVL', '@IMV', '@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@ADVL', 'Z Com', '@ADVL', '@NEG', '@FMV', 'Z Com']} ,
	{135: ['@OBJ', '@ADVL', '@SUBJ', '@ADVL', '@FMV', 'Z Com']} ,
	{136: ['@ADVL', '@SUBJ', '@FMV', '@ADVL', '@PRD', 'Z Com']} ,
	{137: ['@ADVL', '@FMV', '@PRD', 'Z Com']} ,
	{138: ['@ADVL', '@ADVL', '@ADVL', '@IMV', 'Z Com']} ,
	{139: ['@NEG', '@FMV', '@ADVL', '@SUBJ', '@ADVL', 'Z Com']} ,
	{140: ['@SUBJ', '@ADVL', '@FMV', '@PRD', 'Z Com']} ,
	{141: ['@ADVL', '@SUBJ', '@ADVL', '@FMV', '@OBJ', 'Z Com']} ,
	{142: ['@ADVL', '@OBJ', '@ADVL', '@OBJ', '@IMV', 'Z Com']} ,
	{143: ['@FMV', '@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@ADVL', 'Z Com']} ,
	{144: ['@SUBJ', '@ADVL', '@SUBJ', '@ADVL', 'ad', '@ADVL', '@ADVL', '@FMV', '@OBJ', 'Z Com']} ,
	{145: ['@ADVL', '@OBJ', '@ADVL', '@FMV', 'Z Com']} ,
	{146: ['ad', '@ADVL', '@FMV', 'Z Com']} ,
	{147: ['@FMV', '@ADVL', '@ADVL', '@ADVL', '@OBJ', 'Z Com']} ,
	{148: ['@IMV', '@ADVL', '@ADVL', '@OBJ', '@ADVL', 'ad', '@ADVL', 'Z Com']} ,
	{149: ['@SUBJ', '@FMV', '@ADVL', '@ADVL']} ,
	{150: ['@ADVL', '@PRD', '@FMV', '@ADVL', '@SUBJ', 'ad', '@ADVL', 'Z Com']} ,
	{151: ['@ADVL', '@FMV', 'Z Com']} ,
	{152: ['@FMV', '@OBJ', '@SUBJ', '@FMV', 'Z Com']} ,
	{153: ['@ADVL', '@FMV', 'ad', '@ADVL', '@SUBJ']} ,
	{154: ['@SUBJ', '@FCV', '@IMV', '@ADVL', '@SUBJ', 'ad', '@ADVL', '@IMV', '@IMV', 'Z Com']} ,
	{155: ['@SUBJ', '@ADVL', '@IMV', '@SUBJ', 'Z Com', '@ADVL', '@ADVL', 'Z Com']} ,
	{156: ['@SUBJ', '@ADVL', '@ADVL', '@OBJ', '@ADVL', '@FMV']} ,
	{157: ['@ADVL', '@SUBJ', '@FMV']} ,
	{158: ['@SUBJ', '@ADVL', '@OBJ', '@FMV', 'Z Com']} ,
	{159: ['@FCV', '@SUBJ', '@ADVL', '@ADVL', '@IMV', 'Z Com']} ,
	{160: ['@SUBJ', 'Z Fst', '@SUBJ', '@FMV', 'Z Com']} ,
	{161: ['@OBJ', '@ADVL', '@OBJ', '@ADVL', '@SUBJ', 'Z Com']} ,
	{162: ['@ADVL', '@ADVL', '@FCV', '@ADVL', '@OBJ', '@IMV', '@SUBJ', 'Z Com', '@SUBJ', 'Z Com']} ,
	{163: ['Z Fst', '@FMV', '@ADVL', 'Z Com']} ,
	{164: ['@SUBJ', '@ADVL', '@FMV', '@IMV', '@ADVL', 'Z Com']} ,
	{165: ['@FMV', '@ADVL', '@ADVL', '@OBJ', '@ADVL']} ,
	{166: ['@SUBJ', '@FCV', '@ADVL', '@IMV', '@ADVL', 'ad', '@ADVL']} ,
	{167: ['@ADVL', '@SUBJ', '@FMV', '@SUBJ']} ,
	{168: ['@FMV', '@OBJ', '@ADVL', '@ADVL', 'Z Com']} ,
	{169: ['@SUBJ', '@ADVL', '@IMV', '@SUBJ', 'Z Com']} ,
	{170: ['ad', '@ADVL', 'Z Com']} ,
	{171: ['@NEG', '@FMV', 'ad', '@ADVL', '@OBJ']} ,
	{172: ['@ADVL', '@ADVL', '@FMV', '@ADVL', '@SUBJ', '@ADVL', 'Z Com']} ,
	{173: ['@SUBJ', 'Z Com', '@SUBJ', 'Z Com', '@ADVL', '@FMV']} ,
	{174: ['@OBJ', '@SUBJ', 'Z Com', '@ADVL', '@SUBJ', '@OBJ', '@FMV', 'Z Com']} ,
	{175: ['@FMV', '@OBJ', '@ADVL', 'Z Com']} ,
	{176: ['@ADVL', '@FMV', '@SUBJ']} ,
	{177: ['@SUBJ', '@OBJ', '@FMV', 'Z Com']} ,
	{178: ['@FCV', '@SUBJ', '@IMV']} ,
	{179: ['@SUBJ', 'Z Com', 'ad', 'Z Com', '@SUBJ', 'Z Com']} ,
	{180: ['@OBJ', 'Z Com', '@SUBJ']} ,
	{181: ['@FMV', '@ADVL', '@OBJ', '@ADVL', 'Z Com']} ,
	{182: ['@FMV', '@SUBJ', 'Z Com', '@SUBJ', 'Z Com', '@SUBJ', 'Z Com']} ,
	{183: ['@FMV', '@SUBJ', '@ADVL', '@ADVL', '@ADVL', 'Z Com']} ,
	{184: ['@NEG', '@FMV', '@ADVL', '@SUBJ', '@ADVL', '@ADVL', 'Z Com']} ,
	{185: ['@SUBJ', '@FCV', '@ADVL', '@OBJ', '@IMV', 'Z Com']} ,
	{186: ['@ADVL', '@ADVL', '@ADVL', '@FMV', 'Z Com', '@IMV', '@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@OBJ', '@ADVL', 'Z Com']} ,
	{187: ['@SUBJ', '@ADVL', '@OBJ', '@ADVL', '@IMV', 'Z Com']} ,
	{188: ['@SUBJ', '@FMV', '@PRD']} ,
	{189: ['@FMV', '@SUBJ', 'ad', '@ADVL']} ,
	{190: ['@OBJ', '@ADVL', '@OBJ', '@ADVL', 'Z Com']} ,
	{191: ['@ADVL', '@FMV', '@IMV', '@SUBJ', 'Z Com']} ,
	{192: ['@ADVL', '@ADVL', '@SUBJ', 'Z Com']} ,
	{193: ['@FMV', '@ADVL', '@IMV', '@OBJ', 'Z Com', '@OBJ', '@SUBJ', 'Z Com']} ,
	{194: ['@ADVL', '@OBJ', '@FMV', '@OBJ', '@IMV', 'Z Com']} ,
	{195: ['ad', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@FMV', 'Z Com']} ,
	{196: ['@SUBJ', '@FMV', '@SUBJ', 'Z Com']} ,
	{197: ['@ADVL', '@OBJ', '@ADVL', '@ADVL', 'ad', '@OBJ', '@FMV', 'Z Com']} ,
	{198: ['@SUBJ', '@FCV', '@ADVL', '@ADVL', '@IMV', 'Z Com']} ,
	{199: ['ad', '@ADVL', '@FMV', '@ADVL', '@SUBJ', 'Z Com']} ,
	{200: ['@FMV', '@ADVL', '@ADVL', '@ADVL', '@SUBJ', 'Z Com']} ,
	{201: ['@SUBJ', '@ADVL', 'Z Com']} ,
	{202: ['@ADVL', '@FMV', '@ADVL', '@SUBJ', 'Z Com', '@SUBJ', 'Z Com', '@SUBJ']} ,
	{203: ['@ADVL', '@NEG', '@FMV', '@SUBJ', 'Z Com']} ,
	{204: ['@OBJ', '@IMV', '@FMV', 'Z Com', '@IMV', '@ADVL', '@SUBJ', 'Z Com', '@SUBJ', '@ADVL', '@SUBJ', '@ADVL', 'Z Com']} ,
	{205: ['@FCV', '@SUBJ', '@OBJ', '@ADVL', '@OBJ', '@IMV', 'Z Com']} ,
	{206: ['ad', '@SUBJ', '@FMV', '@PRD']} ,
	{207: ['@FCV', '@SUBJ', '@IMV', '@ADVL', '@ADVL', 'Z Com']} ,
	{208: ['@SUBJ', '@NEG', '@FMV', '@ADVL', '@ADVL', 'Z Com']} ,
	{209: ['@OBJ', '@ADVL', '@ADVL', '@ADVL', '@FMV', '@OBJ', 'Z Com']}
])
