# -*- coding: utf-8
# Copyright 2006 by Vahur Rebas

""" Userfolder for korpus users. """

import Globals
from Globals import Persistent
from Acquisition import Explicit
from OFS.Folder import Folder
from AccessControl import ClassSecurityInfo

class Members(Persistent, Folder, Explicit):
    """ Userfolder for korpus users. """

    meta_type = 'Members'
    security = ClassSecurityInfo()
    security.declareObjectPublic()
    id = 'Members'

Globals.InitializeClass(Members)
