var glob_counter = 1;

window.addEvent('domready', init);

function init()
{
    $('contentDiv').addEvent('click', try_with_range, false);
    $('left_menu_td').hide();
    dustoff('third_td');
    addevents();
    render_codes_tree();
}

function addevents() {
    $('third_td').getElements('div.mark').each(function(item, index) {
        item.addEvent('dblclick', edit_selection.bind(item));
        item.addEvent('click', show_marked_area.bind(item));
    });
    $("infos_confirm").addEvent('click', handle_save_and_close);
    //$('attached_group_by').addEvent('click', handle_group_by);
    $('attached_group_by').addEvent('change', handle_group_by);
    $('attached_group_by').set('value', 'sel');
    $('codes_quick_search_input').addEvent('keyup', do_fast_search.bindWithEvent(null));
}

function handle_group_by() {
    deselect_all();
    if ( $('attached_group_by').get('value') == 'err' ) {
        $('attachedCodes').hide();
        create_grouped_by_error();
    } else if ( $('attached_group_by').get('value') == 'sel' ) {
        $('attachedCodes').show();
        $('attachedCodes_errors').destroy();
    }
}

function do_fast_search(event) {
    e = $('codes_quick_search_input');
    if ( event.key == 'esc') {
        e.set('value', '');
    }
    if ( event.key != 'enter' ) {
        return;
    }
    val = e.get('value');
    valspl = val.split(' ');
    pat = valspl.join('.*?');
    rege = new RegExp(pat, 'i');
    elems = $('overl').getElements('div[class="mark_element_title"]');
    elems.each(function(e) {
        txt = e.textContent;
        res = txt.search(rege);
        // -1 if not found
        // => 0 - pos
        if ( res > -1 ) {
        }
    });
}

function create_grouped_by_error() {
    att = $('attachedCodes');
    newcont = new Element('div', {'id': 'attachedCodes_errors'});
    newcont.inject(att, 'after');
    code_elems = $('attachedCodes').getElements('input[id*=_code]');
    codes = Array();
    for ( i = 0; i<code_elems.length; i++ ) {
        if ( !codes.contains(code_elems[i].get('value')) )
            codes.push(code_elems[i].get('value'));
    }

    for ( i = 0; i<codes.length; i++ ) {
        o = new Element('div', {
            'id': "error_"+codes[i],
            'class': 'mark',
            'text': $(codes[i]).getElement('div.mark_element_title').textContent,
            'events': {'click': show_marked_errors.bind(null, codes[i]) }
            });
        o.inject(newcont);
    }
}

function show_marked_errors(err_id) {
    att = $('attachedCodes');
    scelems = att.getElements('input[value='+err_id+']');
    for ( j = 0; j<scelems.length; j++ ) {
        sid = scelems[j].get('id');
        rid = sid.replace('_code', '_xpaths');
        xp = $(rid);
        l = show_marked_area.bind(xp.getParent());
        l();
    }
    $('error_'+err_id).toggleClass('selected');
}

function show_left_td()
{
    lt = document.getElementById('left_menu_td');
    new_style = 'block';
    if ( lt.style.display == 'block' ) {
        new_style = 'none';
    }
    lt.setStyle('display', new_style);
    lt.setStyle('width', '190px');
}

function _merge_node(node) {
    par = node.getParent();
    if ( node.nextSibling.nodeType == 3 && node.previousSibling.nodeType == 3 )
    {
        txt_val = "";
        if (node.previousSibling.nodeValue) {
            txt_val = node.previousSibling.nodeValue; 
        }
        if (node.nodeValue) {
            txt_val = txt_val + node.nodeValue;
        }
        if (node.nextSibling.nodeValue) {
            txt_val = txt_val + node.nextSibling.nodeValue;
        }
        newTxt = document.createTextNode(txt_val);
        par.removeChild(node.previousSibling);
        par.removeChild(node.nextSibling);
        par.insertBefore(newTxt, node);
        par.removeChild(node);
    } else {
        par.removeChild(inls[i]);
    }
}

function deselect_all() {
    inls = $('contentDiv').getElements('div.inlineMark');
    for (i = inls.length-1; i>-1; i--)
    {
        _merge_node(inls[i]);
    }
    $('third_td').getElements('div.mark.selected').removeClass('selected');
}

function deselect(range_name) {
    inls = $('contentDiv').getElements('div.inlineMark[name="'+range_name+'"]');
    for (i = inls.length-1; i>-1; i--)
    {
        _merge_node(inls[i]);
    }
    $('third_td').getElements('div.mark.selected[id="'+range_name+'"]').removeClass('selected');
    xpnode = $(range_name+'_xpaths');
    xps = xpnode.get('value');
    elems = $('third_td').getElements('div.mark.selected');
    for (i=0; i<elems.length; i++) {
        elem = elems[i];
        onexp = elem.getElement('input[id="'+elem.get('id')+'_xpaths'+'"]');
        if ( onexp) 
            if ( onexp.get('value') == xps )
                elem.removeClass('selected');
    }
}

function try_with_range()
{
    // TODO: delete any div.unfinished
    // $('third_td').getElements('div.unfinished')
    // http://bytes.com/groups/javascript/147441-getselectionstart-ie
    selection = window.getSelection ? window.getSelection() : document.getDocument().selection;
    range = selection.getRangeAt(0);
    selfragm = range.cloneContents();
    selection.removeAllRanges();
    deselect_all();
    if (range.startContainer == range.endContainer && range.startOffset == range.endOffset)
        return;
    getNextCounter();
    xpath_sta = walker(range.startContainer);
    xpath_end = walker(range.endContainer);
    xpath_sta = xpath_sta+'#off:'+range.startOffset;
    xpath_end = xpath_end+'#off:'+range.endOffset;
    display_error_edit(xpath_sta, xpath_end);
}

function display_error_edit(xpath_sta, xpath_end, existing_ranges) {

    //att = $('attachedCodes');
    cd = $('contentDiv');
    xp = new XPTraverser(cd, xpath_sta);
    start_elem = xp.resultnode;
    start_offset = xp.newoffset.toInt();

    xp = new XPTraverser(cd, xpath_end);
    end_elem = xp.resultnode;
    end_offset = xp.newoffset.toInt();

    range = document.createRange();
    range.setStart(start_elem, start_offset);
    range.setEnd(end_elem, end_offset);

    c = $('marked_error_preview');
    c.set('html', '');

    if ( start_offset > 0 ) {
        minn = 40;
        if ( (end_elem.textContent.length - end_offset) < 20 ) minn = 80;
        if ( start_offset < 40 ) minn = start_offset;
        l = new Element('span', {'text': start_elem.textContent.substring(start_offset, start_offset-minn)});
        l.inject(c);
    }
    l = new Element('span', {'class': 'textblue'});
    l.set('text', range.cloneContents().textContent);
    //l.set('text', 'nipitiri');
    l.inject(c);
    if ( end_offset < end_elem.textContent.length ) {
        pls = 40;
        if ( start_offset < 20 ) pls = 80;
        if ( end_offset+pls > end_elem.textContent.length ) pls = end_elem.textContent.length;
        l = new Element('span', {'text': end_elem.textContent.substring(end_offset, end_offset+pls)});
        l.inject(c);
    }
    
    inp = new Element('input', {'id': 'current_range',
        'type': 'hidden',
        'value': xpath_sta+';'+xpath_end});
    inp.inject(c);

    showOverlay();
    tune_tree_styles();
    c = $('overl');
    if ( existing_ranges != undefined ) {
        for (i=0; i<existing_ranges.length; i++) {
            elm = c.getElement('input[value="'+existing_ranges[i]+'"]');
            elm.set('checked', 1);
        }
    }
    update_selected_errors();
    range.detach();
}

function tune_tree_styles() {
    c = $('overl');
    $('infos_area_dyn').set('html', '');
    c.getElements('input:checked').each(function(i) {
        i.set('checked', '');
    });
    $('overlay_marking_area').setStyle('width', c.getSize().x+'px');
    $('overlay_marking_area').setStyle('height', c.getSize().y-66+'px');
    $('codes_tree').setStyle('height', 
        $('overlay_marking_area').getSize().y-5 -
        $('codes_quick_search_input').getSize().y + 
        'px');
    $('codes_tree').setStyle('overflow-y', 'auto');
    $('infos_area_dyn').setStyle('height', c.getSize().y*0.3+'px');
}

function render_codes_tree() {
    c = $('overl');
    cl = $('cancel_marking');
    cl.addEvent('click', closeOverlay);
    cl.addEvent('mouseenter', function(i) { this.addClass('mouseon_gray');}.bind(cl));
    cl.addEvent('mouseleave', function(i) { this.removeClass('mouseon_gray');}.bind(cl));
    //$('codes_tree').load('dataset');
    req = new Request.HTML({
        'onSuccess': function(respTree, respElems, respHTML, respJS) {
            respTree[0].inject('codes_tree');
            $('data_island').getElements('div.marks_tree_element').each(function(item, index) {
                item.addEvent('click', expand_codes_tree.bindWithEvent(item));
            });
            $('data_island').getElements('div.mark_element_title').each(function(item, index) {
                item.addEvent('mouseenter', function(i) { this.addClass('mouseon');}.bind(item));
                item.addEvent('mouseleave', function(i) { this.removeClass('mouseon');}.bind(item));
            });
            $('data_island').getElements('input[name="chosen_xcodes"]').each(function(i) {
                i.addEvent('click', handle_checkbox_check.bindWithEvent(i));
            });
        }
    }).get('dataset');

    r2 = new Request.HTML({
        'onSuccess' : function(respTree, respElems, respHTML, respJS) {
            respTree[0].inject('text_tree');
            $('text_island').getElements('div.marks_tree_element').each(function(item, index) {
                item.addEvent('click', expand_codes_tree.bindWithEvent(item));
            });
            $('text_island').getElements('div.mark_element_title').each(function(item, index) {
                item.addEvent('mouseenter', function(i) { this.addClass('mouseon');}.bind(item));
                item.addEvent('mouseleave', function(i) { this.removeClass('mouseon');}.bind(item));
            });
            $('text_island').getElements('input[name="chosen_xcodes"]').each(function(i) {
                i.addEvent('click', handle_checkbox_check.bindWithEvent(i));
            });
        }
    }).get('textdataset');
}

function handle_checkbox_check(event) {
    // $(document).getElements('input[name="chosen_xcodes"]:checked')
    event.stopPropagation();
    update_selected_errors();
}

//  c - container where to attach
function update_selected_errors() {
    e = $('infos_area_dyn');
    e.set('html', '');
    ull = new Element('ul');
    ull.inject(e);
    ce = $('overl').getElements('input[name="chosen_xcodes"]:checked');
    ce.each(function(i) {
        ne = new Element('li', {'text': i.getParent().getElement('div.mark_element_title').textContent});
        ne.inject(ull);
    });
}

function handle_save_and_close() {
    ce = $('overl').getElements('input[name="chosen_xcodes"]:checked');
    //att = $('attachedCodes');
    cr = $('current_range');
    xp_val = cr.get('value');
    att = $('attachedCodes');
    codes = [];
    ce.each(function(i) {
        // doubles check
        exists = false;
        extranges = att.getElements('div.mark');
        extranges.each(function(j) {
            extcod = j.getElement('input[id*=_code]').get('value');
            extxpt = j.getElement('input[id*=_xpaths]').get('value');
            if ( extcod == i.get('value') && extxpt == xp_val ) {
                codes.push(extcod);
                exists = true;
            }
        });
        if ( !exists ) {
            getNextCounter();
            codes.push(i.get('value'));
            newdiv = new Element('div', {'id': 'range_'+glob_counter,
                'class': 'mark',
                'text': i.getParent().getElement('div.mark_element_title').textContent});
            newdiv.inject(att);
            newdiv.addEvent('click', show_marked_area.bind(newdiv));
            newdiv.addEvent('dblclick', edit_selection.bind(newdiv));

            inp = new Element('input', {'id': 'range_'+glob_counter+'_xpaths',
                'type': 'hidden',
                'name': 'range_'+glob_counter+':list',
                'value': xp_val});
            inp.inject(newdiv);
            inpcode = new Element('input', {'id': 'range_'+glob_counter+'_code',
                'type': 'hidden',
                'name': 'range_'+glob_counter+':list',
                'value': i.get('value')});
            inpcode.inject(newdiv);
        }
    });
    extranges = att.getElements('div.mark');
    extranges.each(function(j) {
        extxpt = j.getElement('input[id*=_xpaths]').get('value');
        extcod = j.getElement('input[id*=_code]').get('value');
        if ( extxpt == xp_val && !codes.contains(extcod) ) {
            extserv = j.getElement('input[id*=_existing]');
            if ( extserv ) {
                j.setStyle('text-decoration', 'line-through');
                delme = new Element('input', {
                    'id': j.get('id')+'_deleted',
                    'type': 'hidden',
                    'name': j.get('id')+':list',
                    'value': 'DELETEME'
                });
                delme.inject(j);
            } else {
                j.destroy();
            }
        }
    });
    closeOverlay();
    ce.each(function(i) {
        i.set('checked', '');
    });
}

function walker(node, depth)
{
    var str = '';
    if ( !depth )
        depth = 0;
    if ( (node.parentNode) && (depth < 99) && node.parentNode.id != 'contentDiv') {
        str += walker(node.parentNode, depth + 1)
    }
    switch (node.nodeType)
    {
       case Node.ELEMENT_NODE: {
           var nname = node.localName;
           var conditions = [];
           var hasid = false;
           // class attribute doesn't seem to work always.
           //if ( node.hasAttribute('class') ) conditions.push("@class='"+node.getAttribute('class')+"'");
           if ( node.hasAttribute('id') ) conditions.push("@id='"+node.id+"'");
           index = siblingIndex(node);
           if ( index > 1 ) {
               if (conditions.length>0) conditions.push('position()='+index);
               else conditions.push(index);
           }
           str += '/'+nname;
           if ( conditions.length > 0 )
           {
               str += '[';
               for ( var i=0; i<conditions.length; i++ )
               {
                   if ( i > 0 ) str += ' and ';
                   str += conditions[i];
               }
               str += ']';
           }
           break;
       }
       case Node.DOCUMENT_NODE: {
           break;
       }
       case Node.TEXT_NODE: {
           str += '/text()';
           index = siblingIndex(node);
           if ( index > 1 ) str += '['+index+']'
           break;
       }
    }
    return str;
}

function siblingIndex(node)
{
    var siblings = node.parentNode.childNodes;
    var count = 0;
    var position;
    if ( node.nodeType==Node.ELEMENT_NODE )
    {
        var name = node.nodeName;
        for (var i=0; i<siblings.length; i++)
        {
            var runner = siblings.item(i);
            if (runner.nodeType==Node.ELEMENT_NODE)
            {
                if (runner.nodeName == name) count++;  //nodeName includes namespace
                if (runner == node) position = count;
            }
        }
    } else if ( node.nodeType == Node.TEXT_NODE) {
        for (var i=0; i<siblings.length; i++)
        {
            var runner = siblings.item(i);
            if (runner.nodeType==Node.TEXT_NODE)
            {
                count++;
                if ( runner == node ) position = count;
            }
        }
    }
    return position;
}

/*
 *    CODES TREE FUNCTIONS
 */

function expand_codes_tree(event)
{
    event.stopPropagation();
    /*
    if ( half_way_done )
    {
        div = document.getElementById(half_way_done);
        txt = div.firstChild;
        txt.nodeValue = this.firstChild.nodeValue;
        // XXX: TODO: test me!
        inp = new Element('input', {'id': 'range_'+glob_counter+'_code',
            'type': 'hidden',
            'name': 'range_'+glob_counter+':list',
            'value': this.get('id')});
        inp.inject(div);
        deselect_all();
        half_way_done = false;
    } else {
    */
        curr_level = parseInt(this.getAttribute('level'));
        var i=0;
        first_round = 1;
        childs = this.childNodes;
        this.getChildren('div.marks_tree_element').each(function(el) {
            if ( el.getStyle('display') != 'block' ) {
                el.setStyle('display', 'block');
            } else {
                el.setStyle('display', 'none');
            }
        });
    //}
}

function edit_selection() {
    cd = $('contentDiv');
    inp = $(this.get('id')+'_xpaths');
    xpaths = inp.getAttribute('value');
    xs = xpaths.split(';')[0];
    xe = xpaths.split(';')[1];

    exts = [];
    $('attachedCodes').getElements('input[id*=_xpath]').each(
        function(i) {
            if ( i.get('value') == xpaths ) {
                exts.push(i.nextSibling.get('value'));
            }
        }
    );

    display_error_edit(xs, xe, exts);
}

function show_marked_area()
{
    cd = $('contentDiv');
    doret = this.hasClass('selected');
    //deselect_all();
    if ( doret ) {
        deselect(this.get('id'));
        return;
    }

    inp = $(this.get('id')+'_xpaths');
    xpaths = inp.getAttribute('value');
    spl = xpaths.split(';');
    full_start_expr = spl[0];
    full_end_expr = spl[1];
    start_expr = full_start_expr.split('#')[0];
    end_expr = full_end_expr.split('#')[0];
    start_off = full_start_expr.split('#')[1].split(':')[1];
    end_off = full_end_expr.split('#')[1].split(':')[1];

    xp = new XPTraverser(cd, full_start_expr);
    start = xp.resultnode;
    start_off = xp.newoffset;

    xp = new XPTraverser(cd, full_end_expr);
    end = xp.resultnode;
    end_off = xp.newoffset;

    inp = $(this.get('id')+'_code');
    cod = $(inp.get('value'));

    bet1 = new Element('div', {
        'id': 'inlineMark',
        'class': 'inlineMark ignore_xpath',
        'name': this.get('id'),
        'html': '>>'
    });
    bet2 = new Element('div', {
        'id': 'inlineMark',
        'class': 'inlineMark ignore_xpath',
        'name': this.get('id'),
        'html': '<<'
    });
    $('attachedCodes').getElements('input[id*=_xpath]').each(
        function(i) {
            if ( i.get('value') == xpaths ) {
                rid = i.get('id').replace('_xpaths', '');
                elemss = $('attachedCodes').getElement('div[id='+rid+']');
                elemss.addClass("selected");
            }
        }
    );
    if ( start.isSameNode(end) )
    {
        split_to_three(start, start_off, end_off, bet1, bet2);
    } else {
        split_node(start, start_off, bet1);
        split_node(end, end_off, bet2);
    }
}

function remove_code(event)
{
    div = getTargetElem(event);
    to_remove = div.getAttribute('name');
    cod = document.getElementById(to_remove);
    cod.style.textDecoration = 'line-through';
    newinp = document.createElement('input');
    newinp.setAttribute('name', to_remove+':list');
    newinp.setAttribute('value', 'DELETEME');
    newinp.setAttribute('type', 'hidden');
    cod.appendChild(newinp);
}

/*
 *    EVENT HANDLING FUNCTIONS
 */

function getTargetElem(event)
{
    target = event.target ? event.target : event.srcElement;
    return target;
}

// misc functions
function getNextCounter()
{
    while ( document.getElementById('range_'+glob_counter) )
    {
        glob_counter = glob_counter + 1;
    }
}
